Documentation>C API
VlMserFilt Struct Reference

MSER filter. More...

`#include <mser.h>`

## Data Fields

Image data and meta data @internal
int | ndims
int * | dims
int | nel
int * | subs
int * | dsubs
int * | strides
vl_uint * | perm
vl_uint * | joins
int | njoins
Regions
VlMserReg * | r
VlMserExtrReg * | er
vl_uint * | mer
int | ner
int | nmer
int | rer
int | rmer
Ellipsoids fitting
float * | acc
float * | ell
int | rell
int | nell
int | dof
Configuration
vl_bool | verbose
int | delta
double | max_area
double | min_area
double | max_variation
double | min_diversity

## Detailed Description

MSER Filter.

See also
  Maximally Stable Extremal Regions (MSER)

The MSER filter computes the Maximally Stable Extremal Regions of an image.

See also
  Maximally Stable Extremal Regions (MSER)

## Field Documentation

## ◆ acc

float* VlMserFilt::acc

moment accumulator.

## ◆ delta

int VlMserFilt::delta

delta filter parameter

## ◆ dims

int* VlMserFilt::dims

dimensions

## ◆ dof

int VlMserFilt::dof

number of dof of ellipsoids.

## ◆ dsubs

int* VlMserFilt::dsubs

another subscript

## ◆ ell

float* VlMserFilt::ell

ellipsoids list.

## ◆ er

VlMserExtrReg* VlMserFilt::er

extremal tree

## ◆ joins

vl_uint* VlMserFilt::joins

sequence of join ops

## ◆ max_area

double VlMserFilt::max_area

badness test parameter

## ◆ max_variation

double VlMserFilt::max_variation

badness test parameter

## ◆ mer

vl_uint* VlMserFilt::mer

maximally stable extremal regions

## ◆ min_area

double VlMserFilt::min_area

badness test parameter

## ◆ min_diversity

double VlMserFilt::min_diversity

minimum diversity

## ◆ ndims

int VlMserFilt::ndims

number of dimensions

## ◆ nel

int VlMserFilt::nel

number of image elements (pixels)

## ◆ nell

int VlMserFilt::nell

number of ellipsoids extracted

## ◆ ner

int VlMserFilt::ner

number of extremal regions

## ◆ njoins

int VlMserFilt::njoins

number of join ops

## ◆ nmer

int VlMserFilt::nmer

number of maximally stable extr. reg.

## ◆ perm

vl_uint* VlMserFilt::perm

pixel ordering

## ◆ r

VlMserReg* VlMserFilt::r

basic regions

## ◆ rell

int VlMserFilt::rell

size of ell buffer

## ◆ rer

int VlMserFilt::rer

size of er buffer

## ◆ rmer

int VlMserFilt::rmer

size of mer buffer

## ◆ strides

int* VlMserFilt::strides

strides to move in image data

## ◆ subs

int* VlMserFilt::subs

N-dimensional subscript

## ◆ verbose

vl_bool VlMserFilt::verbose

be verbose

The documentation for this struct was generated from the following file:

- mser.h